Subject: RE: Telnet and the net command
From: "Allan Clearwaters" <[email-masked]>
To: "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 19 Dec 2000 18:52:36 -0000

The problem is not related to the CYGWIN variable but rather to
subprocesses.  It appears that (from a telnet login) if you launch a task
under NT (for instance a java application) then its output disappears down a
black hole.  I assume this is what I saw with the net command.  Is there any
way to solve this?

Thanx,
Allan

-----Original Message-----
From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
Sent: 18 December 2000 22:44
To: Allan Clearwaters
Subject: RE: Telnet and the net command

No, I have never tried to telnet to my machine.  TERM=cygwin for me as well,
which is the default.

Larry

At 05:41 PM 12/18/2000, you wrote:
>Larry,
>
>Do you have this working?  What is your TERM variable set to?  Mine comes
up
>as TERM='cygwin'.
>
>Thanx,
>Al
>
>-----Original Message-----
>From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Sent: 18 December 2000 21:36
>To: Allan Clearwaters
>Subject: RE: Telnet and the net command
>
>
>No.  Setting "tty" in the CYGWIN environment variable can cause problems
>when running non-Cygwin programs because of the different way stdin/stdout/
>stderr are handled.  This is why setting "tty" is not the default.  If you
>don't have "tty" set, then this can't be causing you any trouble.  My
>guess is that you have a terminal problem but that's a guess completely
>out of the blue.
>
>Good luck,
>
>Larry
>
>
>At 04:31 PM 12/18/2000, Allan Clearwaters wrote:
> >Larry,
> >
> >Thanks for the hint but tty is not set; in fact, CYGWIN is not set.
Could
> >this be a problem?
> >
> >Thanx,
> >Al
> >
> >
> >-----Original Message-----
> >From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
> >Sent: 18 December 2000 20:14
> >To: Allan Clearwaters; [email-masked]
> >Subject: Re: Telnet and the net command
> >
> >
> >At 03:05 PM 12/18/2000, Allan Clearwaters wrote:
> > >If a run a normal bash window under WinNT/2000, the net command behaves
>as
> > >expected.  If I attach via telnet the command runs but produces no
>output.
> > >Any idea why?  Since I would like to use the telnet connection to
control
>a
> > >remote machine this is a bit of a pain.
> > >
> > >Thanx,
> > >Allan Clearwaters
> >
> >
> >If "tty" is set in your CYGWIN environment variable, try unsetting it,
> >exiting all Cygwin programs (including any services) or reboot to be
sure,
> >and try again.
> >
> >
> >
> >Larry Hall                              [email-masked]
> >RFK Partners, Inc.                      http://www.rfk.com
> >118 Washington Street                   (508) 893-9779 - RFK Office
> >Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple